
Smart Proxy - Bug #9740

Requests to foreman_url containing path are not built correctly

03/12/2015 05:31 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Core   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/269

  

Description

URI.join requires the first path with trailing slash and all other without it, otherwise it always replaces the whole path. See 

https://github.com/theforeman/smart-proxy/blob/1.8-stable/lib/proxy/request.rb#L24 for more details

Associated revisions

Revision 95cd9c88 - 03/31/2015 09:18 AM - Marek Hulán

Fixes #9740 - support foreman_url with path

Normalization of settings implemented by Dmitri Dolguikh <dmitri@appliedlogic.ca>

History

#1 - 03/12/2015 05:32 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/267 added

- Pull request deleted ()

#2 - 03/25/2015 08:41 AM - Dominic Cleal

- Pull request https://github.com/theforeman/smart-proxy/pull/269 added

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/267)

#3 - 03/31/2015 10:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 95cd9c88b1510b7dbf102fd603440b3bd4cab6ae.
